<?php
/**
 * RelationAjax Class for Accounts
 * @package YetiForce.Action
 * @license licenses/License.html
 * @author Radosław Skrzypczak <r.skrzypczak@yetiforce.com>
 */

class Accounts_RelationAjax_Action extends Vtiger_RelationAjax_Action {
	
	function __construct()
	{
		parent::__construct();
		$this->exposeMethod('getHierarchyCount');
	}
	
	function getHierarchyCount($request)
	{
		$sourceModule = $request->getModule();
		$recordId = $request->get('record');
		$focus = CRMEntity::getInstance($sourceModule);
		$hierarchy = $focus->getAccountHierarchy($recordId);
		$response = new Vtiger_Response();
		$response->setResult(count($hierarchy['entries'])-1);
		$response->emit();
	}
}

