<?php
/*+***********************************************************************************************************************************
 * The contents of this file are subject to the YetiForce Public License Version 1.1 (the "License"); you may not use this file except
 * in compliance with the License.
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.
 * See the License for the specific language governing rights and limitations under the License.
 * The Original Code is YetiForce.
 * The Initial Developer of the Original Code is YetiForce. Portions created by YetiForce are Copyright (C) www.yetiforce.com. 
 * All Rights Reserved.
 *************************************************************************************************************************************/
require_once 'modules/OSSProjectTemplates/fields_action/Base.php';


class Field_Model_Select extends Field_Model_Base {

    protected $tplAddress = 'fields_tpl/select.tpl'; 
    
    protected function getOptions($fieldName) {
        $db = PearDatabase::getInstance();
        $sql = "SELECT * FROM vtiger_$fieldName";
        $result = $db->query($sql, true);
        $output = array();
        
        for ($i = 0; $i < $db->num_rows($result); $i++) {
            $output[] = $db->query_result($result, $i, $fieldName);
        }
        
        return $output;
    }
    
    public function process($fieldName, $moduleName, $editView) {
        $viewer = new Vtiger_Viewer();
        $viewer->assign('OPTION_LIST', $this->getOptions($fieldName));
        $viewer->assign('FLD_ID', $fieldName);
        $viewer->assign('EDIT_VIEW', $editView);
        $viewer->assign('FLD_NAME', $fieldName);
        $viewer->assign('MODULE', $moduleName);
        $viewer->assign('FLD_REQUIRED', $this->fieldIsRequired($fieldName, $moduleName));
        return $viewer->view($this->tplAddress, "Settings:OSSProjectTemplates", true);
    }

}